// Code generated by go-swagger; DO NOT EDIT.

package events

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// SingleEventRequestOKCode is the HTTP code returned for type SingleEventRequestOK
const SingleEventRequestOKCode int = 200

/*SingleEventRequestOK EventDetailsResult - Return Event details with respective ticket types

swagger:response singleEventRequestOK
*/
type SingleEventRequestOK struct {

	/*
	  In: Body
	*/
	Payload *SingleEventRequestOKBody `json:"body,omitempty"`
}

// NewSingleEventRequestOK creates SingleEventRequestOK with default headers values
func NewSingleEventRequestOK() *SingleEventRequestOK {

	return &SingleEventRequestOK{}
}

// WithPayload adds the payload to the single event request o k response
func (o *SingleEventRequestOK) WithPayload(payload *SingleEventRequestOKBody) *SingleEventRequestOK {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the single event request o k response
func (o *SingleEventRequestOK) SetPayload(payload *SingleEventRequestOKBody) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *SingleEventRequestOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(200)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
